#
# spec file for package perl-Test-Signature
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Signature
Version:        1.11
Release:        1.1
%define cpan_name Test-Signature
Summary:        Automated SIGNATURE testing
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Signature/
Source:         http://www.cpan.org/authors/id/A/AU/AUDREYT/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
'Module::Signature' allows you to verify that a distribution has not been
tampered with. 'Test::Signature' lets that be tested as part of the
distribution's test suite.

By default, if 'Module::Signature' is not installed then it will just say
so and not fail the test. That can be overridden though.

*IMPORTANT*: This is not a substitute for the users verifying the
distribution themselves. By the time this module is run, the users will
have already run your _Makefile.PL_ or _Build.PL_ scripts which could have
been compromised.

This module is more for ensuring you've updated your signature
appropriately before distributing, and for preventing accidental errors
during transmission or packaging.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.11
  see /usr/share/doc/packages/perl-Test-Signature/Changes
  [1.11 - Wed Apr  8 19:48:14 CST 2015]
  * Compatibility with Module::Signature 0.75+.
    Reported by: @pghmcfc
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 1.10
